import {get,post} from '@/api/index'

export default{
  // 用户信息
  userInfo:()=>{
    return get('/user/profile',{})
  },

  //用户绑定公众号
  userBindWxOfficial:params=>{
    return post('/user/bind_gzh',params)
  },
  /**
   * 关注/取消关注报告作者（批量）
   * @param {Object} params 
   * @param {String} params.analystNames 用,隔开
   * @param {String} params.followType following/unfollowed
   * @param {String} params.mobile
   * @returns 
   */
  followAuthor:params=>{
    return post('/user/followAnalysts',params)
  },
  /**
   * 获取作者（们）的关注状态
   * @param {Object} params
   * @param {String} params.names 用,隔开
   * @returns 
   */
  getFollowState:params=>{
    return get('/user/checkFollowStatus',params)
  },

  // 保存风险测评结果
  saveEvaluationResult:params=>{
    return post('/webhook/v1/syncRiskLevel',params)
  }
  
}